/*
 *	glob.h - Global definitions for clister.
 *	Mark D. Rustad	86/06/06.
 *
 *	Note that for the defining instance, this file is included with
 *	"GLOBAL" #define-d to "".
 */

#ifndef	GLOBAL
#define	_GLOB_REF 1
#define	GLOBAL extern
#endif	GLOBAL


/*
 *	Definitions.
 */

#define MAXLINE		256		/* Maximum line length					*/
#define	MAXPAGES	999		/* Maximum number of pages in a file	*/
//#define PAGESZ		56		/* No. of printable lines on a page		*/
//#define	LPAGESZ		98		/* No. of printable lines on LW page	*/
#define TITLESIZE	70		/* Max. length of a title or subtitle	*/
//#define	MAXFILES	100		/* Maximum number of input files		*/




/*
 *	Structures.
 */

struct finfo
{
	char	*fname;				/* Points to file name	*/
	short	ntabs;				/* Tab stop setting		*/
};


/*
 *	Globals.
 */

GLOBAL char	LineBuf[MAXLINE+1];			/* Holds source line		*/
GLOBAL char	Title[TITLESIZE+1];			/* Holds title				*/
GLOBAL char	Init_title[TITLESIZE+1];	/* Initial title			*/
GLOBAL char	Subtitle[TITLESIZE+1];		/* Holds sub-title			*/
GLOBAL char	Subsubtitle[TITLESIZE+1];	/* Holds sub-sub-title		*/
GLOBAL char	**Prop_str;					/* Handle to proprietary string	*/
GLOBAL char	Tmpstr[MAXLINE+1];			/* Temporary string			*/
GLOBAL FILE	*Fd;						/* Ptr to file descriptor	*/
GLOBAL short	BOpt;					/* True if border wanted	*/
GLOBAL short	HOpt;					/* True if page headers wanted */
GLOBAL short	NOpt;					/* True if line numbers wanted	*/
GLOBAL short	POpt;					/* True if to mark proprietary	*/
GLOBAL short	PSOpt;					/* True if page-setup wanted	*/
GLOBAL short	ROpt;					/* True if reverse-order printing */
GLOBAL short	Nfiles;					/* No. of entries in Finfo array	*/
GLOBAL short	TFNum;					/* Text font number */
GLOBAL short	TFSize;					/* Text font size */
GLOBAL short	HFNum;					/* Header font number */
GLOBAL short	HFSize;					/* Header font size */
GLOBAL short	LSOpt;					/* Line-spacing percentage	*/
GLOBAL struct finfo	*Finfo;				/* Points to file info array */

GLOBAL char	**Nullstr;					/* Handle to null string	*/


#ifdef	_GLOB_REF
#undef	GLOBAL
#undef	_GLOB_REF
#endif	_GLOB_REF


/*	End of glob.h.	*/