#define	MPP_REFNUM	~9
#define	ATP_REFNUM	~10

typedef struct
	{
	QElemPtr	qLink;
	int			qType;
	int			ioTrap;
	Ptr			ioCmdAddr;
	ProcPtr		ioCompletion;
	OsErr		ioResult;
	StringPtr	ioNamePtr;
	int			ioVRefNum;
	int			ioRefNum;
	int			csCode;
	
	byte		socket;
	byte		checksumFlag;
	byte		*listener;
#define wdsPointer listener
	} ddpParam;

/* ATP errors */

#define noError			0
#define tooManyReqs		0xfbb7	/*	-1097	*/
#define	noDataArea		0xfbb0	/*	-1104	*/
#define	reqAborted		0xfbaf	/*	-1105	*/

/* csCodes for ATP control calls. */
#define relRspCb		249
#define	closeATPSkt		250
#define	addResponse		251
#define	sendResponse	252
#define	getRequest		253
#define	openATPSkt		254
#define	sendRequest		255
#define	relTCB			256
#define	killGetReq		257
#define killSendReq		258

#define	atpXO	0x20
#define atpEOM	0x10


typedef struct {
	word network;
	byte node;
	byte socket;
	} netAddrType;

typedef struct {
	word	bsdBuffSz;
	byte	*bdsBuffAddr;
	word	bdsDataSz;
	ulong	bdsUserData;
	} at_BDSType, *at_BDSPtrType;
	
typedef struct	atpRBlk
	{
	QElemPtr	qLink;
	word		qType;
	word		ioTrap;
	Ptr			ioCmdAddr;
	ProcPtr		ioCompletion;
	OsErr		ioResult;
	long		userData;
	word		reqTid;
	word		ioRefNum;
	word		csCode;
	byte		atpSkt;
	byte		atpFlgs;
	netAddrType	addrBlk;
		union{
			struct{
				word		reqLength;
				byte		*reqPointer;
				long		bdsPtr;	/* only a space holder */
				byte		btMap;
				byte		bdsSz;	/* only a space holder */
				word		tid;
			} getReq, relTcb;
			
			struct{
				word		reqLength;		/* only a space holder */
				byte		*reqPointer;	/* only a space holder */
				long		bdsPtr;		/* only a space holder */
				struct atpRBlk *killQEl;	/* pointer to element to kill.*/
			} killGReq, killSReq;
			
			struct{
				word				reqLength;
				byte				*reqPointer;
				at_BDSPtrType		bdsPointer;
				byte				numOfBuffs;
				byte				bdsSize;
				word				tid;
			} sendResp;
			
			struct{
				word				reqLength;
				byte				*reqPointer;
				at_BDSPtrType		bdsPointer;
				byte				numOfBuffs;
				byte				timeOutVal;
				byte				numOfResp;
				byte				retryCount;
			} sendReq;
		} atpUnion;
		
	} atpParam, *atpParamPtrType;

#define sendReqUnion atpUnion.sendReq
#define getReqUnion atpUnion.getReq
#define sendRespUnion atpUnion.sendResp
#define killReqUnion atpUnion.killGReq

typedef struct
	{
	QElemPtr	qLink;
	int			qType;
	int			ioTrap;
	Ptr			ioCmdAddr;
	ProcPtr		ioCompletion;
	OsErr		ioResult;
	StringPtr	ioNamePtr;
	int			ioVRefNum;
	int			ioRefNum;
	int			csCode;
	
	byte		interval;
	byte		count;
	byte		*ntQElPtr;

	union {
		byte		verifyFlag;
		struct {
			byte		*retBuffPtr;
			int			retBuffSize;
			int			maxToGet;
			int			numGotten;
			} lookup;
		} nbp;
	} nbpParam;

typedef struct {
	byte	*next;
	word	network;
	byte	node;
	byte	socket;
	byte	internal;
	byte	names[];
	} namesTableEntry;

typedef struct {
	word	wds_size;
	byte	*wds_ptr;
	} wdsType;

typedef struct {
	byte	filler[8];
	uword	wds_dstNet;
	uword	filler2;
	byte	wds_dstNode;
	byte	filler3;
	byte	wds_dstSkt;
	byte	filler4;
	byte	wds_type;
	} wdsHeaderType;

/* Well-known offsets within MPP local variables (as pointed to by AbusVars) */

#define	AbusVars		0x2d8	 	/* Pointer to the local variables */
#define mppUnitNum		9	 		/* MPP unit number */
#define	atpUnitNum		10  		/* ATP unit number */

#define	sysLAPAddr		0	 		/* This node's LAP address */
#define	toRHA			1	 		/* Top of RHA */
#define	sysABridge		0x19	 	/* Node address of a bridge [byte] */
#define	sysNetNum		0x1a	 	/* This node's network number [word] */
#define	vSCCEnable		0x1c	 	/* SR value to re-enable SCC interrupts */

/* MPP miscellaneous */
#define	RHASize 		0x18		/* Size of read header area */
#define MPPRefNum		-10			/* (-mppUnitNum-1) */

/* returned by ReadPacket and ReadRest routines */
#define OverrunErr	-1
#define CRCErr		-2
#define UnderrunErr -3
#define LengthErr	-4

#define	WDSSize			24
#define	DDPHeaderSize	16

/* LAP header offsets */
#define	lapDstAdr	0
#define	lapSrcAdr	1
#define	lapType		2
#define	lapHdSz		3

#define	shortDDP	1
#define	longDDP		2

/* DDP header offsets */
#define	sDDPlength	0
#define	sDDPDstSkt	2
#define	sDDPSrcSkt	3
#define	sDDPType	4

#define	ddpLength	0
#define	ddpChksum	2
#define	ddpDstNet	4
#define	ddpSrcNet	6
#define	ddpDstNode	8
#define	ddpSrcNode	9
#define	ddpDstSkt	10
#define	ddpSrcSkt	11
#define	ddpType		12

#define registerName	253
#define	lookupName		251
#define	removeName		252
#define openSkt			248
#define writeDDP		246
#define closeSkt		247
